/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Cardiac Ultrasound Aorta Finding Sites
 */
public enum EnumCV_CardiacUltrasoundAortaFindingSites {

	//Cardiac Ultrasound Aorta Finding Sites - CID 12291
	ROOT_OF_AORTA_T_42110("T-42110"),
	STRUCTURE_SINUS_OF_VALSALVA_T_42200("T-42200"),
	LEFT_SINUS_OF_VALSALVA_T_42220("T-42220"),
	RIGHT_SINUS_OF_VALSALVA_T_42210("T-42210"),
	NON_CORONARY_SINUS_T_42231("T-42231"),
	AORTIC_SINOTUBULAR_JUNCTION_T_42102("T-42102"),
	ASCENDING_AORTA_T_42100("T-42100"),
	AORTIC_ARCH_T_42300("T-42300"),
	AORTIC_ISTHMUS_T_42310("T-42310"),
	COARCTATION_OF_AORTA_D4_32014("D4-32014"),
	THORACIC_AORTA_T_42070("T-42070"),
	ABDOMINAL_AORTA_T_42500("T-42500"),
	SUPRA_RENAL_AORTA_T_42510("T-42510"),
	INFRA_RENAL_AORTA_T_42520("T-42520"),
	INNOMINATE_ARTERY_T_46010("T-46010"),
	RIGHT_COMMON_CAROTID_ARTERY_T_45110("T-45110"),
	RIGHT_SUBCLAVIAN_ARTERY_T_46110("T-46110"),
	LEFT_COMMON_CAROTID_ARTERY_T_45120("T-45120"),
	LEFT_SUBCLAVIAN_ARTERY_T_46120("T-46120");

	private String value;

	EnumCV_CardiacUltrasoundAortaFindingSites(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
